<!DOCTYPE html>
<html lang="de">
<head>
  <meta charset="utf-8">  
  <style>
body {
    margin: 0;
    background-color: #394ead;
    color: #dddddd;
    text-align: center;
}
button {
  display: block;
  width: 12em;
}  

.engine{
    position: absolute;
    left: 50px;
    top: 0px;
    width: 12em;
    height: 200px
}
.compressor{
    position: absolute;
    left: 50px;
    top: 180px;
    width: 12em;
    height: 200px
}
.turbine{
    position: absolute;
    left: 50px;
    top: 280px;
    width: 12em;
    height: 200px
}

.exhaust{
    position: absolute;
    left: 50px;
    top: 350px;
    width: 12em;
    height: 200px
}
.emissions{
    position: absolute;
    left: 50px;
    top: 450px;
    width: 12em;
    height: 200px
}
.roadloads{
    position: absolute;
    left: 50px;
    top: 550px;
    width: 12em;
    height: 200px;    
}

#DataSelection{      
  
  position: absolute;
    left: 50px;
    top: 10px;
    width: 12em;
    height: 200px
}

.configData{      
  
    position: absolute;
    background-color: rgb(196, 241, 247);
    top: 150px;
    left: 2vw;    
    width: 280px;
    height: 700px;   
    border: 1px solid black; 
    font-family: 'Arsenal';
    font-style: italic;
    color: #221f1f;
}

.table{  
  position: absolute;

  left : 500px;; 
  margin-right:auto;
  
  margin-top:200px; 

}

table{  
  width: 850px;	
  margin-top: 2em;  
}

table,td, caption {
    border: 1px solid black;
    border-collapse: collapse;
	padding: 0.4em;
}


caption {
  background: #666;
  color: #c4ced3;
  font-weight: bold;
} 

.datasetheadline{
    position: absolute;
    left: 45vw;  
    top: 90px;
    width: 12em;
    font-family: 'Arsenal';
    font-style: italic;
}

.headline{
    position: absolute;
    left: 38vw;  
    top: 0px;
    width: 18em;
}

.submitbutton
{
    position: absolute;
    left: 850px;  
    top: 140px;
    width: 18em;    
}

.signalbutton
{
    position: fixed;
    left: 50px;  
    top: 70px;
    width: 18em;    
}
.staticcode
{
    position: fixed;
    left: 50px;  
    top: 100px;
    width: 18em;    
}


</style>
  <title>Stationary / Algebraic Engine Model</title>
</head>
<body>  
 
  <h1 class="headline">Stationary / Algebraic Engine Model</h1>
  <h2 class="datasetheadline">Available Datasets</h2>

  <main>    
  <div class="configData">      
    <div class="engine">      
      <h3>Engine Data</h2>
    </div>
    <div class="compressor">      
      <h3>CompressorData</h2>
    </div>
    <div class="turbine">      
      <h3>VNT Data</h2>
    </div>
    <div class="exhaust">      
      <h3>Exhaust Data</h2>
    </div>
    <div class="emissions">      
      <h3>Emmission Data</h2>
    </div>    
    <div class="roadloads">      
      <h3>Road loads</h2>
    </div>    
  </div>  
  <body>
  <form action="/submit" method="POST">        
    <input class="editortype" type="text" name="editor" value="map"> 
    <input class="submitbutton" type="submit" value="switch to graphical editor">     
  </form>  
</body>
  <table class="table" id="table"></table>
  <body>
  <form action="/signals" method="POST">   
    <input class="signalbutton" type="submit" value="switch to signal view">   
  </form>
  </body>
  <body>
  <form action="/staticcode" method="POST">       
    <input class="staticcode" type="submit" value="switch to static code analysis">    
  </form>
  </body>
  </main>
    
<script type="text/javascript", src="node_modules/d3/dist/d3.min.js"></script>  
<script type="text/javascript", src="node_modules/socket.io/client-dist/socket.io.js"></script>
<script type="module", src="Script/handleModelData.js"></script>
<script type="module", src="Script/createDataViz.js"></script>
<script type="module">
 
 import {handleDataset} from "./Script/handleModelData.js";
 import {dataviz}       from "./Script/createDataViz.js";

 var socket = io({autoConnect: false});
 if(!socket.connected)
 {
    socket.connect();    
 }
 
 dataviz(socket);

  </script>  

</body>
</html>